com.lowagie.text.pdf

## Class DefaultFontMapper.BaseFontParameters

- java.lang.Object
- - com.lowagie.text.pdf.DefaultFontMapper.BaseFontParameters

- Enclosing class:
    DefaultFontMapper

      public static class DefaultFontMapper.BaseFontParameters
      extends java.lang.Object

  A representation of BaseFont parameters.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `cached` Whether the font is cached of not.
    `boolean` | `embedded` The embedding for that font.
    `java.lang.String` | `encoding` The encoding for that font.
    `java.lang.String` | `fontName` The font name.
    `byte[]` | `pfb` The font bytes for pfb.
    `byte[]` | `ttfAfm` The font bytes for ttf and afm.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultFontMapper.BaseFontParameters(java.lang.String fontName)` Constructs default BaseFont parameters.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fontName

          public java.lang.String fontName

      The font name.

    - #### encoding

          public java.lang.String encoding

      The encoding for that font.

    - #### embedded

          public boolean embedded

      The embedding for that font.

    - #### cached

          public boolean cached

      Whether the font is cached of not.

    - #### ttfAfm

          public byte[] ttfAfm

      The font bytes for ttf and afm.

    - #### pfb

          public byte[] pfb

      The font bytes for pfb.

  - ### Constructor Detail

    - #### DefaultFontMapper.BaseFontParameters

          public DefaultFontMapper.BaseFontParameters(java.lang.String fontName)

      Constructs default BaseFont parameters.
      Parameters:
        `fontName` - the font name or location